"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const html_validate_1 = require("html-validate");
const attribute_1 = require("./attribute");
const element_1 = require("./element");
function applyHooks(source) {
    source.hooks = {
        processAttribute: attribute_1.processAttribute,
        processElement: element_1.processElement,
    };
    return source;
}
function angularTransformJS(source) {
    const te = html_validate_1.TemplateExtractor.fromString(source.data, source.filename);
    const sources = te.extractObjectProperty("template");
    return sources.map(applyHooks);
}
exports.angularTransformJS = angularTransformJS;
function angularTransformHTML(source) {
    return [applyHooks(source)];
}
exports.angularTransformHTML = angularTransformHTML;
angularTransformJS.api = 1;
angularTransformHTML.api = 1;
